petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDASNESSetObjectiveLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetObjectiveLocal(DM dm,DMDASNESObjective func,void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local objective evaluation
| ctx | - optional context for local residual evaluation

### Calling sequence for func

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on
| x | - dimensional pointer to state at which to evaluate residual
| ob | - eventual objective value
| ctx | - optional context passed above

### See Also

DMSNESSetFunction(), DMDASNESSetJacobianLocal(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/snes/utils/dmdasnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html